#include <stdio.h>
#include <libporty/net/network.h>
#include <libporty/net_resolver/net_resolver.h>

static void resolv(char *req)
{
	char *ans;
	int ret;

	ans = NULL;
	if (P_dns4_is_addr(req))
		ret = P_net_resolv(&ans,  &req);
	else
		ret = P_net_resolv(&req,  &ans);
	printf("P_resolv: %d %s -> %s\n", ret, req, ans);
}

int main(int argc, char *argv[])
{
	char *cmd, *arg;
	int n;

	P_net_init();

	for(n = 1; n < argc; n++) {
		cmd = argv[n];
		arg = argv[n+1];
		if (*cmd == '-') {
			while(*cmd == '-') cmd++;
			switch(*cmd) {
				case 'v': P_net_resolver_log = stderr; break;
				default: fprintf(stderr, "Can't understand argument %s\n", argv[n]); return 1;
			}
		}
		else {
			resolv(cmd);
		}
	}

	P_net_uninit();
}
